restinio::multipart_body::impl Namespace Reference

## Namespaces

namespace | boundary_value_checkers
namespace | parser_details

## Classes

struct | valid_handler_type
struct | valid_handler_type< T, restinio::utils::metaprogramming::void_t< std::enable_if_t< std::is_same< handling_result_t, decltype(std::declval< T >()(std::declval< parsed_part_t >())) >::value, bool > > >

## Functions

RESTINIO_NODISCARD auto | make_parser ()
| A factory function for a parser of a part of multipart message. More...
template<typename Handler >
RESTINIO_NODISCARD expected_t< std::size_t, enumeration_error_t > | enumerate_parts_of_request_body (const std::vector< string_view_t > &parts, Handler &&handler)
| A function that parses every part of a multipart body and calls a user-provided handler for every parsed part. More...

## Function Documentation

## enumerate_parts_of_request_body()

template<typename Handler >

RESTINIO_NODISCARD expected_t< std::size_t, enumeration_error_t > restinio::multipart_body::impl::enumerate_parts_of_request_body | ( | const std::vector< string_view_t > & | parts,
|  | Handler && | handler
| ) |  |

A function that parses every part of a multipart body and calls a user-provided handler for every parsed part.

Returns
  the count of parts successfuly handled by handler or error code in the case if some error is detected.

Since
  v.0.6.1

Definition at line 570 of file multipart_body.hpp.

## make_parser()

RESTINIO_NODISCARD auto restinio::multipart_body::impl::make_parser | ( |  | ) |

A factory function for a parser of a part of multipart message.

Handles the following rule:

    part := *( token ':' OWS field-value CR LF ) CR LF body

Produces parsed_part_t instance.

Since
  v.0.6.1

Definition at line 254 of file multipart_body.hpp.